Subject: [os2genau_digest] No. 1313
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 23 Jun 2006 00:01:02 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Thursday 22 June 2006
 Number  1313
**************************************************

Subjects for today
 
1  Re:  Printer installation : Ian Manners" <deadmail>
2  Re:  Printer installation : Ed Durrant <edurrant at bigpond dot net dot au>
3  Re:  Printer installation : Chuck McKinnis <mckinnis at sandia dot net>
4  Re:  unicode ? : Paul Smedley" <paul at smedley.info>
5  Re:  unicode ? : Voytek Eymont" <voytek at sbt dot net dot au>
6  Re:  unicode ? : Voytek Eymont" <voytek at sbt dot net dot au>
7  Re:  unicode ? : data2doc <data2doc at fastmail dot com dot au>
8  Re:  unicode ? : Paul Smedley <paul at smedley.info>

**= Email   1 ==========================**

Date:  Thu, 22 Jun 2006 00:53:22 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Printer installation

Hi Leigh

>I want to install another printer using the omni driver but upon 
>clicking on the install button after going through the 'Create a 
>Printer' wizard, all I get is an error message box containing:

I simply drag n drop a printer template to the connections - printers
folder, never tried the printer wizard.

Cheers
Ian Manners
http://www.os2site dot com/

Prosecutors will be violated
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Thu, 22 Jun 2006 06:42:35 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Printer installation

Leigh Bunting wrote:
> Hi All,
> 
> I want to install another printer using the omni driver but upon 
> clicking on the install button after going through the 'Create a 
> Printer' wizard, all I get is an error message box containing:
> 
> Message 0000 not found
> Message 0001 not found.
> 
> Who said Winblows contained all the cryptic messages!
> 
> Any help appreciated.
> 
> Cheers,
> 
> Leigh Bunting
> Colonel Light Gardens
> South Australia
> <Open Windows and let the bugs in>

> 
> 
> 
 
> 
> 
> ===========================================
These messages indicate that the relevant "hlp or msg" file cannot be 
for the appropriate action. This would usually be due to the fact that 
you have deleted the file or changed the path so that the wizard cannot 
find it.

Like Ian, I normally drag and drop to install rather than using the 
wizard, however the wizard should also work. Is this eCS or OS/2 Warp 4 ?

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Wed, 21 Jun 2006 15:52:06 -0600
From:  Chuck McKinnis <mckinnis at sandia dot net>
Subject:  Re:  Printer installation

Ed Durrant wrote:
> Leigh Bunting wrote:
>> Hi All,
>>
>> I want to install another printer using the omni driver but upon 
>> clicking on the install button after going through the 'Create a 
>> Printer' wizard, all I get is an error message box containing:
>>
>> Message 0000 not found
>> Message 0001 not found.
>>
>> Who said Winblows contained all the cryptic messages!
>>
>> Any help appreciated.
>>
>> Cheers,
>>
>> Leigh Bunting
>> Colonel Light Gardens
>> South Australia
>> <Open Windows and let the bugs in>

>>
>>
>>
> 
>>
>> 
>> ===========================================
> These messages indicate that the relevant "hlp or msg" file cannot be 
> for the appropriate action. This would usually be due to the fact that 
> you have deleted the file or changed the path so that the wizard cannot 
> find it.
> 
> Like Ian, I normally drag and drop to install rather than using the 
> wizard, however the wizard should also work. Is this eCS or OS/2 Warp 4 ?
> 
> Cheers/2
> 
> Ed.

As the author of the eCS Install Local Printer routine, I can verify 
that it is a disaster.  It used some old IBM code that was almost 
impossible to make work correctly with current printers, ports, and drivers.

The updated eCS Printer Install routine (inst_prt.zip) can be downloaded 
from www.ecomstation dot com.

-- 
Chuck McKinnis
Covenant Solutions
http://www.7cities dot net/~mckinnis/os2/
505-286-3191

This bran of humor should be oatlawed.

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Thu, 22 Jun 2006 07:45:41 +0930
From:  "Paul Smedley" <paul at smedley.info>
Subject:  Re:  unicode ?

G'day Voytek,

On 21/6/2006, "Voytek Eymont" <voytek at sbt dot net dot au> wrote:

>
><quote who="Bruce Rossi">
>
>> iconv.dll is at Hobbes in the package:
>> <http://hobbes.nmsu.edu/pub/os2/util/iconv0.2.1.zip>
>> Ported by Ilya Zakharevich
>
>thanks
>
>dumb question... what do I execute ?
I should have an iconv.exe in the next day or two as I've worked out
what I need to build it.

Can you send me an example of usage for what you need to do so I can test
it?

Cheers,

Paul.
----------------------------------------------------------------------------------
 
**= Email   5 ==========================**

Date:  Thu, 22 Jun 2006 08:24:48 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  unicode ?

<quote who="Paul Smedley">

> On 21/6/2006, "Voytek Eymont" <voytek at sbt dot net dot au> wrote:

>> <quote who="Bruce Rossi">

>>> iconv.dll is at Hobbes in the package:
>>> <http://hobbes.nmsu.edu/pub/os2/util/iconv0.2.1.zip>
>>> Ported by Ilya Zakharevich

> Can you send me an example of usage for what you need to do so I can test
>  it?

thanks, Paul

-- 
Voytek

----------------------------------------------------------------------------------
 
**= Email   6 ==========================**

Date:  Thu, 22 Jun 2006 08:48:23 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  unicode ?

<quote who="Paul Smedley">

> Can you send me an example of usage for what you need to do so I can test
>  it?

short anwser: convert text file from CP 850/8859-2 to Unicode

I have used FamilyTree/2 to make, well, family tree;
the author of FT/2 has since developed GenealogyJ java app;
when I exported the default 852 code page text, ogonki characters don't
display, and, converting to ISO Latin2 didn't give ogonki either;
the Java app wants Unicode to display ogonki;

this got me over the line:

# iconv -f ISO8859-2  -t UTF-8 eymont.ged -o eymontutf8.ged

CP852
http://www.sbt dot net dot au/eymont/eymont.ged

ISO Latin 2 (using TextConvert)
http://www.sbt dot net dot au/eymont/eymont.8859-2.ged

UTF8 (using iconv)
http://www.sbt dot net dot au/eymont/eymontutf8.ged

http://www.sbt dot net dot au/eymont/

-- 
Voytek

----------------------------------------------------------------------------------
 
**= Email   7 ==========================**

Date:  Thu, 22 Jun 2006 10:27:18 +1000
From:  data2doc <data2doc at fastmail dot com dot au>
Subject:  Re:  unicode ?

Hi Voytek,

Another package, using Rexx, to convert text between different codepages 
supported by OS/2 is RexxUni, available on Hobbes in:
<http://hobbes.nmsu.edu/pub/os2/dev/rexx/rexxuni20.zip>

Voytek Eymont wrote:
> <quote who="Paul Smedley">
> 
>>Can you send me an example of usage for what you need to do so I can test
>> it?
> 
> 
> short anwser: convert text file from CP 850/8859-2 to Unicode
> 
> I have used FamilyTree/2 to make, well, family tree;
> the author of FT/2 has since developed GenealogyJ java app;
> when I exported the default 852 code page text, ogonki characters don't
> display, and, converting to ISO Latin2 didn't give ogonki either;
> the Java app wants Unicode to display ogonki;
> 
> this got me over the line:
> 
> # iconv -f ISO8859-2  -t UTF-8 eymont.ged -o eymontutf8.ged
> 
> CP852
> http://www.sbt dot net dot au/eymont/eymont.ged
> 
> ISO Latin 2 (using TextConvert)
> http://www.sbt dot net dot au/eymont/eymont.8859-2.ged
> 
> UTF8 (using iconv)
> http://www.sbt dot net dot au/eymont/eymontutf8.ged
> 
> http://www.sbt dot net dot au/eymont/
> 
> 

-- 
Cheers,
Bruce Rossi
Data To Documents
data2docSAFE at URLfastmail dot com dot au (Please modify to reply)
----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Thu, 22 Jun 2006 19:15:44 +0930
From:  Paul Smedley <paul at smedley.info>
Subject:  Re:  unicode ?

Hi Voytek,

Voytek Eymont wrote:
> <quote who="Paul Smedley">
> 
>> Can you send me an example of usage for what you need to do so I can test
>>  it?
> 
> short anwser: convert text file from CP 850/8859-2 to Unicode
> 
> I have used FamilyTree/2 to make, well, family tree;
> the author of FT/2 has since developed GenealogyJ java app;
> when I exported the default 852 code page text, ogonki characters don't
> display, and, converting to ISO Latin2 didn't give ogonki either;
> the Java app wants Unicode to display ogonki;
> 
> this got me over the line:
> 
> # iconv -f ISO8859-2  -t UTF-8 eymont.ged -o eymontutf8.ged

Give http://smedley.info/iconv.zip a shot - hopefully it doesn't need 
any of the other files in the package....

-o didn't work for me I just redirected the output to a file, ie:

iconv -f ISO8859-2  -t UTF-8 eymont.ged > eymontutf8.ged

Cheers,

Paul.
----------------------------------------------------------------------------------